Some categories require that sellers provide a product identifier for new items in certain categories. However, whenever a product identifier (e.g., EAN, ISBN, UPC, Brand/MPN pair,) is available for a branded product, it is always a good idea to create a listing that includes the product identifier because, among other benefits, it can improve search results on eBay and on other search engines. It is also a shortcut when creating a listing with robust listing information by including pertinent and helpful item specifics.
To determine whether a specific category supports or requires product identifiers, call the REST-based Taxonomy API method getItemAspectsForCategory for the target leaf category.
-
category_idSet this query parameter to the ID of the leaf category to be checked.
-
category_tree_idSet this path parameter to the category tree ID for the marketplace. If needed, use getDefaultCategoryTreeId to retrieve that value.
After a successful call to getItemAspectsForCategory for the target leaf category, review the returned aspect metadata to identify the product-identifier aspects that apply to the category, such as Brand, MPN, UPC, EAN, or ISBN.
For example, if you want to check whether EAN, ISBN, UPC, and Brand/MPN product identifiers apply to the category, inspect the aspects.localizedAspectName field for returned values such as EAN, ISBN, UPC, Brand, and MPN. Then use the corresponding aspects.aspectConstraint.aspectRequired value to determine whether each returned product-identifier aspect is required. If aspects.aspectConstraint.aspectRequired is false, use aspects.aspectConstraint.aspectUsage to determine whether that aspect is recommended or optional for the category.
-
aspects.localizedAspectNameIdentifies the localized name of each aspect returned for the category.
-
aspects.aspectConstraint.aspectRequiredIndicates whether that aspect is required when listing an item in the category.
-
aspects.aspectConstraint.aspectUsageIndicates whether that aspect is recommended or optional for the category when the aspect is not required.
Use the returned aspect metadata to determine which product identifiers should be supplied for the category when creating or revising a listing.